package com.fjhx.mes.service.border;

import com.fjhx.mes.entity.border.po.BorderOfLineJournal;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.border.vo.BorderOfLineJournalVo;
import com.fjhx.mes.entity.border.dto.BorderOfLineJournalSelectDto;
import com.fjhx.mes.entity.border.dto.BorderOfLineJournalDto;


/**
 * <p>
 * 线边流水记录 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-31
 */
public interface BorderOfLineJournalService extends BaseService<BorderOfLineJournal> {

    /**
     * 线边流水记录分页
     */
    Page<BorderOfLineJournalVo> getPage(BorderOfLineJournalSelectDto dto);

    /**
     * 线边流水记录明细
     */
    BorderOfLineJournalVo detail(Long id);

    /**
     * 线边流水记录新增
     */
    void add(BorderOfLineJournalDto borderOfLineJournalDto);

    /**
     * 线边流水记录编辑
     */
    void edit(BorderOfLineJournalDto borderOfLineJournalDto);

    /**
     * 线边流水记录删除
     */
    void delete(Long id);

}
